package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TPpeStaffLocker;

/**
 * 自行车棚员工PPE柜Service接口
 *
 * @author ssy
 * @date 2023-11-30
 */
public interface ITPpeStaffLockerService
{
    /**
     * 查询自行车棚员工PPE柜
     *
     * @param id 自行车棚员工PPE柜ID
     * @return 自行车棚员工PPE柜
     */
    public TPpeStaffLocker selectTPpeStaffLockerById(Long id);

    /**
     * 查询自行车棚员工PPE柜列表
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 自行车棚员工PPE柜集合
     */
    public List<TPpeStaffLocker> selectTPpeStaffLockerList(TPpeStaffLocker tPpeStaffLocker);

    public List<TPpeStaffLocker> selectTPpeStaffLockerListByMainId(Long mainId);

    /**
     * 新增自行车棚员工PPE柜
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 结果
     */
    public int insertTPpeStaffLocker(TPpeStaffLocker tPpeStaffLocker);

    /**
     * 修改自行车棚员工PPE柜
     *
     * @param tPpeStaffLocker 自行车棚员工PPE柜
     * @return 结果
     */
    public int updateTPpeStaffLocker(TPpeStaffLocker tPpeStaffLocker);

    /**
     * 批量删除自行车棚员工PPE柜
     *
     * @param ids 需要删除的自行车棚员工PPE柜ID
     * @return 结果
     */
    public int deleteTPpeStaffLockerByIds(Long[] ids);

    /**
     * 删除自行车棚员工PPE柜信息
     *
     * @param id 自行车棚员工PPE柜ID
     * @return 结果
     */
    public int deleteTPpeStaffLockerById(Long id);
}
